XALAN(1)

NAME
Xalan - Process XML documents with XSLT stylesheets

SYNOPSIS
Xalan [options] source stylesheet

DESCRIPTION

Xalan-C++ (named after a rare musical instrument) implements the W3C Recommendation 16 November 1999 XSL Transformations (XSLT) Version 1.0 and the XML Path Language (XPath) Version 1.0. XSLT is the first part of the XSL stylesheet language for XML. It includes the XSL Transformation vocabulary and XPath, a language for addressing parts of XML documents. For links to background materials, discussion groups, frequently asked questions, and tutorials on XSLT, see Getting up to speed with XSLT.

You use the XSLT language to compose XSL stylesheets. An XSL stylesheet contains instructions for transforming XML documents from one document type to another document type (XML, HTML, or other). In structural terms, an XSL stylesheet specifies the transformation of one tree of nodes (the XML input) into another tree of nodes (the output or transformation result).

OPTIONS

-a  Use xml-stylesheet PI, not the 'stylesheet' argument

-e encoding
    Force the specified encoding for the output.

-i integer
    Indent the specified amount.

-m  Omit the META tag in HTML output.

-o filename
    Write output to the specified file.

-p name expression
    Sets a stylesheet parameter.

-t  Display timing information.

-u  Disable escaping of URLs in HTML output.

-?  Display this message.

-v  Validates source documents.

-   A dash as the 'source' argument reads from stdin. ('-' cannot be used for both arguments.)

AUTHOR
The Apache Software Foundation.

SEE ALSO

http://www.w3.org/TR/xslt
    XSL Transformations Version 1.0 (XSLT)

http://www.w3.org/TR/xpath
    XML Path Language Version 1.0 (XPATH)

COPYRIGHT
Copyright (c) 1999-2012 The Apache Software Foundation

This product includes software developed at The Apache Software Foundation ( http://www.apache.org/ ).

This software is based on the ASF XERCES-C project.

Portions of this software were originally based on the following:
    - software copyright (c) 1999, IBM Corporation. ( http://www.ibm.com ).

As of version 1.8, Xalan is now distributed under the Apache license v2.0.